* 
  IF IsTag("BOO") <> 0
     DELETE TAG "BOO" 
  ENDIF 
* 
  cMyTag = "BOO" 
  IF IsTag(cMyTag) = 0   
     INDEX ON <expression> TAG (cMyTag) 
  ENDIF 
  SET ORDER TO (cMyTag) 
*
  
FUNCTION IsTag
PARAMETER cTag
* Verifies existence of a TAG in the .mdx file
* Returns numeric (TAG 'number')
* Syntax: nTagNumber = IsTag("MyTag")

  PRIVATE nSubscript                   && Subscript for scanning
  nSubscript = 1                       && Initialize it to 1
  cTag       = UPPER(cTag)             && TAG() returns upper case

  DO WHILE "" <> TAG(nSubscript)       && Do while the last tag processed  
  IF TAG(nSubscript) = cTag          && Compare tags...
      RETURN nSubscript                && Tag found - exit here
    ENDIF
    nSubscript = nSubscript + 1        && Increment subscript
  ENDDO
  RETURN 0                             && Tag not found

* EOF: IsTag()

