* 
  cMyKey = "LAST_NAME + SUBSTR(FIRST_NAME,1,5)" 
  cMyTag = "FULLNAME" 
  IF .NOT. SameKey(cMyTag,cMyKey)   
    ? "Sorry...Key expressons don't match...!!!" 
  ENDIF 
*

FUNCTION SameKey
PARAMETER cTag, cKey
* Checks if a key expression of the specified TAG matches passed parameter
* Returns logical
*

  PRIVATE nOrder
  cTag       = UPPER(cTag)           && TAG() returns upper case
  cKey       = UPPER(cKey)           && Convert key to upper case

  nOrder = IsTag(cTag)               && Does this TAG exist?
  IF nOrder > 0
    IF TAG(nOrder) = cTag .AND. UPPER(KEY(nOrder)) = cKey
      RETURN .T.                     && Tag found - exit here
    ENDIF
  ENDIF
  RETURN .F.                         && Tag not found


* EOF: SameKey()

